pattern.h File Reference
`#include "osl/rating/feature.h"`
`#include "osl/rating/feature/countEffect2.h"`

Go to the source code of this file.

## Classes

class | osl::rating::Pattern
struct | osl::rating::LongTarget
struct | osl::rating::LongTarget2
class | osl::rating::PatternLong
class | osl::rating::PatternLong2
class | osl::rating::PatternBlock

## Namespaces

namespace | osl
namespace | osl::rating

## Typedefs

typedef std::pair< Piece, Square > | osl::rating::PieceSquare